Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.ImageConversionFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.ImageConversionFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.ImageConversionFlag

extends java.lang.Enum
implements QtEnumerator

The options marked "(default)" are set if no other values from the list are included (since the defaults are zero).

Color/Mono preference (ignored for `QBitmap`): Dithering mode preference for RGB channels: Dithering mode preference for alpha channel: Color matching versus dithering preference:

See Also:
  Serialized Form

Field Summary
`static Qt.ImageConversionFlag` | `AlphaDither_Mask`
`static Qt.ImageConversionFlag` | `AutoColor` (default) - If the image has `depth` 1 and contains only black and white pixels, the pixmap becomes monochrome.
`static Qt.ImageConversionFlag` | `AvoidDither` (default when converting for the purpose of saving to file) - Dither 32-bit images only if the image has more than 256 colors and it is being converted to 8 bits.
`static Qt.ImageConversionFlag` | `ColorMode_Mask`
`static Qt.ImageConversionFlag` | `DiffuseAlphaDither` A high-quality dither.
`static Qt.ImageConversionFlag` | `Dither_Mask`
`static Qt.ImageConversionFlag` | `DitherMode_Mask`
`static Qt.ImageConversionFlag` | `MonoOnly` The pixmap becomes monochrome.
`static Qt.ImageConversionFlag` | `OrderedAlphaDither` A faster, more ordered dither.
`static Qt.ImageConversionFlag` | `OrderedDither` A faster, more ordered dither.
`static Qt.ImageConversionFlag` | `PreferDither` (default when converting to a pixmap) - Always dither 32-bit images when the image is converted to 8 bits.
`static Qt.ImageConversionFlag` | `ThresholdDither` No dithering; closest color is used.

Method Summary
`static Qt.ImageConversionFlags` | `createQFlags(Qt.ImageConversionFlag[] values)` This function creates a com.trolltech.qt.core.Qt$ImageConversionFlags with the specified `com.trolltech.qt.core.Qt$ImageConversionFlag[]` ImageConversionFlag values set.
`static Qt.ImageConversionFlag` | `resolve(int value)` Returns the ImageConversionFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ImageConversionFlag` | `valueOf(java.lang.String name)`
`static Qt.ImageConversionFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ColorMode_Mask

    public static final Qt.ImageConversionFlag ColorMode_Mask

### AutoColor

    public static final Qt.ImageConversionFlag AutoColor

  (default) - If the image has `depth` 1 and contains only black and white pixels, the pixmap becomes monochrome.

### MonoOnly

    public static final Qt.ImageConversionFlag MonoOnly

  The pixmap becomes monochrome. If necessary, it is dithered using the chosen dithering algorithm.

### AlphaDither_Mask

    public static final Qt.ImageConversionFlag AlphaDither_Mask

### OrderedAlphaDither

    public static final Qt.ImageConversionFlag OrderedAlphaDither

  A faster, more ordered dither.

### DiffuseAlphaDither

    public static final Qt.ImageConversionFlag DiffuseAlphaDither

  A high-quality dither.

### Dither_Mask

    public static final Qt.ImageConversionFlag Dither_Mask

### OrderedDither

    public static final Qt.ImageConversionFlag OrderedDither

  A faster, more ordered dither.

### ThresholdDither

    public static final Qt.ImageConversionFlag ThresholdDither

  No dithering; closest color is used.

### DitherMode_Mask

    public static final Qt.ImageConversionFlag DitherMode_Mask

### PreferDither

    public static final Qt.ImageConversionFlag PreferDither

  (default when converting to a pixmap) - Always dither 32-bit images when the image is converted to 8 bits.

### AvoidDither

    public static final Qt.ImageConversionFlag AvoidDither

  (default when converting for the purpose of saving to file) - Dither 32-bit images only if the image has more than 256 colors and it is being converted to 8 bits.

Method Detail

### values

    public static Qt.ImageConversionFlag[] values()

### valueOf

    public static Qt.ImageConversionFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.ImageConversionFlags createQFlags(Qt.ImageConversionFlag[] values)

  This function creates a com.trolltech.qt.core.Qt$ImageConversionFlags with the specified `com.trolltech.qt.core.Qt$ImageConversionFlag[]` ImageConversionFlag values set.

### resolve

    public static Qt.ImageConversionFlag resolve(int value)

  Returns the ImageConversionFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD